<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>

    <xsl:template match="/">
        <html>
            <head>
                <title><xsl:value-of select="/html/head/title"/></title>
            </head>
            <body>
                <xsl:apply-templates select="/html/body"/>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="/html/body">
        <!-- The first div after the article div contains the title -->
        <xsl:copy-of select="//div[@class='article']/div[1]"/>

        <!-- The "details" div has who posted it, dept, etc. -->
        <xsl:copy-of select="//div[@class='article']/div[@class='details']"/>

        <!-- The "intro" div has the post text -->
        <xsl:copy-of select="//div[@class='intro']"/>

        <!-- Comments -->
        <xsl:apply-templates select="//div[@class='commentTop newcomment']|//div[@class='commentBody']"/>
        <hr/>

        <!-- And, finally, the footer -->
        <xsl:copy-of select="//div[@id='footer']/div[@class='rightcontent']"/>
    </xsl:template>

    <xsl:template match="//div[@class='commentTop newcomment']">
        <hr/>
        <b><xsl:value-of select="div[@class='title']"/></b><br/>
        <small><xsl:value-of select="div[@class='details']"/></small>
    </xsl:template>

    <xsl:template match="//div[@class='commentBody']">
        <p><xsl:copy-of select="."/></p>
    </xsl:template>
</xsl:stylesheet>
